/*
  Roam around and react to obstacles detected
	by the front switches
*/

#include "simpletools.h"                      // Include simpletools lib
#include "servo.h"				    // Include servo lib

int main()                                    // Main function
{
  
  // Freqout: pin, duration, frequency
  // Piezo speaker connected to pin P4
  // Signal program has started
  freqout(4, 200, 500);
  freqout(4, 200, 1000);
  freqout(4, 200, 2000);
  
  while(1)                                    // Start endless loop
  {
    robot_forward();
      
    int buttonRight = input(6);               // Pin P6 right switch
    int buttonLeft = input(5);                // Pin P5 left switch
  
    if (buttonRight == 0)                     // If right button is pressed
    {
      freqout(4, 500, 2000);                  // 2000Hz tone for 1/2 second
      servo_stop();
      pause(100);
      robot_reverse();
      pause(1000);
      robot_turn_left();
      pause(1500);
    }
    if (buttonLeft == 0)                      // If left button is pressed
    {
      freqout(4, 500, 1000);                  // 1000Hz tone for 1/2 second
      servo_stop();
      pause(100);
      robot_reverse();
      pause(1000);
      robot_turn_right();
      pause(1500);
    }      
  }
}

void robot_forward(void) {
  servo_angle(16, 0);
  servo_angle(17, 1800);
}  
void robot_reverse(void) {
  servo_angle(16, 1800);
  servo_angle(17, 0);
}  
void robot_turn_left(void) {
  servo_angle(16, 0); 
  servo_angle(17, 0);                     
}  
void robot_turn_right(void) {
  servo_angle(16, 1800);
  servo_angle(17, 1800);
}
