/*
 Run two servos, using separate functions for
   robot movement 
 Direction of servo (clockwise, counter-clockwise
   depends on make and model of servo
*/

#include "simpletools.h"                      // Include simpletools lib
#include "servo.h"                            // Include servo lib

int main()                                    // main function
{
  
  while(1)
  {
    robot_forward();
    pause(1000);                              // Wait 1 second
    robot_reverse();
    pause(1000);                              // Wait 1 seconds again
  
    robot_turn_left();
    pause(1000);
    robot_turn_right();
    pause(1000);
    servo_stop();

    pause(2000);
  }    
}

void robot_forward(void) {
  servo_angle(16, 0);
  servo_angle(17, 1800);
}  
void robot_reverse(void) {
  servo_angle(16, 1800);
  servo_angle(17, 0);
}  
void robot_turn_left(void) {
  servo_angle(16, 0); 
  servo_angle(17, 0);                     
}  
void robot_turn_right(void) {
  servo_angle(16, 1800);
  servo_angle(17, 1800);
}
